<?php
namespace backend\controllers;

use Yii;
use backend\models;

class Mt4TradesController extends BaseController
{
    /**
     * 获取用户交易次数，包括总交易次数、盈利交易次数、亏损交易次数、亏损交易百分比
     * @return \yii\web\Response
     */
    public function actionGetTradeCount()
    {
        $login = (int) Yii::$app->request->get('login');
        if (!$login) {
            return $this->outJson(0, [], '参数错误');
        }

        $model = new models\Mt4Trades();
        $data = $model->getTradeCount($login);
        if ($data) {
            return $this->outJson(1, $data);
        } else {
            return $this->outJson(0, [], '没有数据');
        }
    }

    /**
     * 总收益
     * @return \yii\web\Response
     */
    public function actionGetProfitSumByDay()
    {
        $login = (int) Yii::$app->request->get('login');
        if (!$login) {
            return $this->outJson(0, [], '参数错误');
        }

        $model = new models\Mt4Trades();
        $data = $model->getProfitSumByDay($login);
        if ($data) {
            return $this->outJson(1, $data);
        } else {
            return $this->outJson(0, [], '没有数据');
        }
    }

    /**
     * 交易手数
     * @return \yii\web\Response
     */
    public function actionGetVolumeSumByDay()
    {
        $login = (int) Yii::$app->request->get('login');
        if (!$login) {
            return $this->outJson(0, [], '参数错误');
        }

        $model = new models\Mt4Trades();
        $data = $model->getVolumeSumByDay($login);
        if ($data) {
            return $this->outJson(1, $data);
        } else {
            return $this->outJson(0, [], '没有数据');
        }
    }

    /**
     * 交易货币分布
     * @return \yii\web\Response
     */
    public function actionGetSymbolCount()
    {
        $login = (int) Yii::$app->request->get('login');
        if (!$login) {
            return $this->outJson(0, [], '参数错误');
        }

        $model = new models\Mt4Trades();
        $data = $model->getSymbolCount($login);
        if ($data) {
            return $this->outJson(1, $data);
        } else {
            return $this->outJson(0, [], '没有数据');
        }
    }

    /**
     * 交易来源分布
     * @return \yii\web\Response
     */
    public function actionGetReasonCount()
    {
        $login = (int) Yii::$app->request->get('login');
        if (!$login) {
            return $this->outJson(0, [], '参数错误');
        }

        $model = new models\Mt4Trades();
        $data = $model->getReasonCount($login);
        if ($data) {
            return $this->outJson(1, $data);
        } else {
            return $this->outJson(0, [], '没有数据');
        }
    }
}